#ifndef RT_HASHING_H
#define RT_HASHING_H

/* Hash functions */

#include "runtime.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef uint64_t rt_hash64;
typedef uint32_t rt_hash32;

RT_DLLEXPORT rt_hash64 rtHashBytes(const void *begin, size_t count);

RT_DLLEXPORT rt_hash32 rtHashBytes32(const void *begin, size_t count);

#ifdef __cplusplus
}
#endif

#endif
